function fcnmoPGA(hObject, eventdata, Empty_Button, Buttons, AxesD, lcs, LCS)
data = get(Empty_Button,'UserData');


if (isfield(data,'isdata')*isfield(data,'bdislive') == 1) && (data.isdata*data.bdislive == 1)
    pt = get(hObject, 'CurrentPoint');
    sz = get(hObject, 'Position');
    x = pt(1,1:2)./sz(1,3:4);

    posD   = get(AxesD, 'Position');

    if (posD(1) < x(1)) && (x(1) < posD(1)+posD(3)) && (posD(2) < x(2)) && (x(2) < posD(2)+posD(4))
        val = get(AxesD, 'CurrentPoint');
        xbd(2) = val(1,1);
        xbd(1) = data.bd.dwn(1);

        xl = get(AxesD,'xlim');
        yl = get(AxesD,'ylim');

        if isfield(data, 'noc') ~= 1
            data.noc = 0;
        end

        lc = lcs(mod(data.noc,size(lcs,1))+1,:);
        lcf = LCS(mod(data.noc,size(lcs,1))+1,:);
        
        axes(AxesD);
        fill(xbd([1 2 2 1 1]), data.yl([1 1 2 2 1]), lcf);
        hold(AxesD, 'on');
        plot(AxesD,data.x,data.D','k');
        set(AxesD, 'xlim', xl, 'ylim', yl);
        xlabel(AxesD,'channel');
        text(AxesD,0.5,0.7,data.peakhint,'Color',[1 0.7 0.6],'FontSize',18,'Units','normalized','HorizontalAlignment', 'center');
        hold(AxesD, 'off');
    end
end
